//ATtiny202 CCL 2 Input AND
#include <avr/io.h>

int main(void){
    PORTA.DIR = 0x40;
    //configure inputs for used LUTs
    CCL.LUT0CTRLB = CCL_INSEL1_IO_gc; 
    CCL.LUT0CTRLC = CCL_INSEL2_IO_gc;   
	//Configure Truth Table
    CCL.TRUTH0 = 0x40; //2-AND
	//Enable LUT0 output on IO pin
    CCL.LUT0CTRLA = CCL_OUTEN_bm;    
	//Enable LUTs
    CCL.LUT0CTRLA |= CCL_ENABLE_bm;    
	//Enable CCL module
    CCL.CTRLA = CCL_ENABLE_bm;        
    while (1);
}