//UASRT202 TX an <pin 2
#include <avr/io.h>
#include <avr/io.h>
#define F_CPU 3333333
#define USART0_BAUD_RATE(BAUD_RATE) ((float)(F_CPU * 64 / (16 * (float)BAUD_RATE)) + 0.5)

#include <avr/io.h>
#include <util/delay.h>
#include <string.h>

void USART0_init(void);
void USART0_sendChar(char c);
void USART0_sendString(char *str);

void USART0_init(void){
	PORTA.DIRSET = 0x40;	//TXD an PA6
	PORTA.DIRCLR = 0x80;	//RXD an PA7
	USART0.BAUD = (uint16_t)USART0_BAUD_RATE(9600);
	USART0.CTRLB |= USART_TXEN_bm;
}

void USART0_sendChar(char c){
	while (!(USART0.STATUS & USART_DREIF_bm));
	USART0.TXDATAL = c;
}

void USART0_sendString(char *str){
	for(size_t i = 0; i < strlen(str); i++){
		USART0_sendChar(str[i]);
	}
}

int main(void){
	USART0_init();
	while (1){
		USART0_sendString("TXD an PA6 \r\n");
		_delay_ms(2000);
	}
}
