//AudioDelay3216   ADC0-AIN1, DAC0-OUT
#define F_CPU 3333333
#include <avr/io.h>

int main(void){
    uint8_t ring[255];
    uint8_t pos1 = 0; 
    uint8_t pos2;
    ADC0.CTRLA = ADC_ENABLE_bm;          
    ADC0.MUXPOS = ADC_MUXPOS_AIN1_gc;     
    ADC0.CTRLA = ADC_ENABLE_bm | ADC_RESSEL_8BIT_gc;   
    ADC0.CTRLC = ADC_PRESC_DIV2_gc ;  
    VREF.CTRLA =  VREF_DAC0REFSEL_2V5_gc|
              VREF_ADC0REFSEL_2V5_gc; 
    DAC0.CTRLA  = DAC_OUTEN_bm|DAC_ENABLE_bm; 
    PORTA.DIR = PIN7_bm;

    while(1){
      ADC0.MUXPOS = ADC_MUXPOS_AIN1_gc; 
      ADC0.COMMAND = ADC_STCONV_bm;
      while (!(ADC0.INTFLAGS & ADC_RESRDY_bm));
      ring[pos1] = ADC0.RES;
      pos2=pos1-100;  //100*20µs=2ms
      DAC0.DATA  = ring[pos2 & 1023];  //DA an PA6
      pos1++;
      PORTA.OUTTGL = PIN7_bm; 
    }
}
